Name:           perl-GraphViz
Version:        2.14
Release:        4%{?dist}
Summary:        Interface to the GraphViz graphing tool
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/GraphViz/
Source0:        http://www.cpan.org/authors/id/R/RS/RSAVAGE/GraphViz-%{version}.tgz
BuildArch:      noarch

BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Carp) >= 1.01
BuildRequires:  perl(Config)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Getopt::Long) >= 2.34
BuildRequires:  perl(IO::Dir) >= 1.04
BuildRequires:  perl(IO::File) >= 1.1
BuildRequires:  perl(IPC::Run) >= 0.6
BuildRequires:  perl(File::Which) >= 1.09
BuildRequires:  perl(LWP::Simple) >= 6
BuildRequires:  perl(Parse::RecDescent) >= 1.965001
BuildRequires:  perl(XML::Twig) >= 3.38
BuildRequires:  perl(XML::XPath) >= 1.13
BuildRequires:  perl(Pod::Usage) >= 1.16
BuildRequires:  perl(Time::HiRes) >= 1.51

BuildRequires:  graphviz-devel

# optional test
BuildRequires:  perl(Test::Pod)

# not autodetected
Requires:       graphviz
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provides an interface to layout and image generation of
directed and undirected graphs in a variety of formats (PostScript, PNG,
etc.) using the "dot", "neato", "twopi", "circo" and "fdp" programs from
the GraphViz project (http://www.graphviz.org/ or
http://www.research.att.com/sw/tools/graphviz/).

%prep
%setup -q -n GraphViz-%{version}

find lib t -type f -exec chmod -c -x {} \;

sed -i -e 's|#!.*perl|#!/usr/bin/perl|' examples/primes_aux.pl examples/clusters2.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc CHANGES README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 25 2013 Petr Pisar <ppisar@redhat.com> - 2.14-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 09 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.14-1
- Upstream update.
- Minor spec file brushup.

* Mon Sep 24 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.11-1
- Upstream update.
- Add perl_default_filter.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 18 2012 Petr Pisar <ppisar@redhat.com> - 2.10-2
- Perl 5.16 rebuild

* Tue Mar 03 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.10-1
- Upstream update.

* Sun Jan 15 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 2.09-1
- Upstream update.
- Modernize spec-file.
- Reflect Source0-URL having changed.
- Add missing BRs.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.04-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.04-7
- Perl mass rebuild

* Tue Apr 19 2011 Paul Howarth <paul@city-fan.org> - 2.04-6
- Don't provide perl(DB)

* Fri Dec 17 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.04-5
- Rebuild to fix problems with vendorarch/lib (#661697)

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.04-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.04-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 30 2009 Stepan Kasal <skasal@redhat.com> - 2.04-1
- update to 2.04

* Sun Mar 29 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.03-3
- add manual Requires on graphviz (bz 492318)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 2.03-1
- update to 2.03

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.02-3
- rebuild for new perl

* Thu Apr 19 2007 Chris Weyl <cweyl@alumni.drew.edu> 2.02-2
- bump

* Mon Apr 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 2.02-1
- Specfile autogenerated by cpanspec 1.70.
